;(function($) {
    var code = "appcode";//服务器返回 标志
    var successCode = "1"; //交易成功
    var errorMsg = "appMsg";//错误信息
	if(typeof Base == "undefined") {
        Base = {};   
        window.Base = Base; 
    }
	$.extend(Base,  {
	
    //正式库
    "serverPath": "http://42.123.101.109:7809/gzjyappservice/front/services/",
   
    //测试库
   //"serverPath": "http://42.123.101.208:8081/gzjyappservice/front/services/",
    "imgPath" : "http://yinhai-bucket.oss.gzdata.com.cn/"
      //本机内网地址
	});
	//接口地址
	Base.urlPath = {
        "login": "gzjy/login", //登录交易入口  
        "queryData": "gzjy/queryData",//普通交易入口    参数必须有jybh字段 
        "ckQueryData": "gzjy/ckQueryData", //校验token 交易入口  参数必须有jybh字段 
        //上传文件   
        "upload" : "gzjy/uploadPhoto",
        "send" : "gzjy/send", 
	},
    /**
     * 点击事件
     * 
     * @method click
     * @param {string}
     *            selector 必选 选择器
     * @param {function}
     *            func 必须 回调方法， 接收两个参数1：点击当前元素$(this), 2: 点击事件状态e
     */
    Base.click = function(selector, func, act) {
        
        var eventName = "click";
        $(document).on(eventName, selector, function(e) {
            var $this = $(this);
            func($this, e);
        });
    }
	/**
     * 显示gifMask
     * @method showGifMask
     */
    Base.showGifMask = function(text) {
    	if(!text){
            text = "加载中...";
        }
        md.showProgress({
            content: text,
            modal: false
        });
    }

    

    /**
     * 移除gifMask（与showGifMask相对应）
     * @method removeGifMask
     */
    Base.removeGifMask = function() {
    	md.hideProgress();
    }
    /**
     * 消息提示（轻）
     * @method msgTip
     * @param {String} msg 必选 提示内容
     * @param {time: 持续时间, top: top, left: left, bottom: bottom, right: right} 可选
     */
    Base.msgTip = function(msg, param) {
       if (arguments.length == 1) {
            param = {};
        }
        var _t = param["time"] || 2000;
        md.toast({
            msg: msg,
            duration: _t,
            location: 'middle'
        });
    }

    /*上传文件*/
    Base.uploadFile = function(urlType, param,file,callback, mask) {
        urlType = $.trim(urlType);
        var url = "";
        if (urlType.indexOf("http://") != -1) {
            url = urlType;
        } else {
            url = Base.serverPath + Base.urlPath[urlType];
        }
        param = param || {};
        if (mask) {
            Base.showGifMask();
        }
        md.ajax({
            url: url,
            method: "post",
            data: {
                values: param,
                files: file
            }
        },function(ret, err){
            Base.removeGifMask();
            if (ret) {
                var data = ret.body;
                if( data[code] == successCode ){
                    callback(data);
                }else{
                    Base.msgTip(data[errorMsg]);
                }
            } else {
                Base.msgTip(JSON.stringify(err));
            }
        });
    };

    /**
	 * 存入本地存储
	 * 
	 * @method setStorage
	 * @param {String} k 必选 键
	 * @param {Object} val 必选 值
	 */
	 Base.setStorage=function(key, value) {
            if (window.localStorage) {
                window.localStorage[key] = value;
    //          window.localStorage.setItem(key, value);
            } else {
                alert('localStorage null');
            }
		
	};
	/**
	 * 获取本地存储
	 * 
	 * @method getStorage
	 * @required {String} key 必选 键
	 * @return {Object} 返回对应的值
	 */
	Base.getStorage=function(key) {
            if (window.localStorage) {
                return window.localStorage[key];
    //          return window.localStorage.getItem(key);
            } else {
                alert('localStorage error');
            }
		
	};
	/**
	 * 获取本地存储
	 * 
	 * @method getStorage
	 * @required {String} key 必选 键
	 * @return {Object} 返回对应的值
	 */
	Base.removeStorage=function(k) {
			md.removePrefs({ key: k });
           
	};

//  /**
//   * 创建上拉下拉刷新
//   * @param {int} type 0/不传： 上拉下拉刷新； 1：下拉刷新；2：上拉刷新
//   */
   /* Base.creatRefresh = function(type, down, up) {
    	if(down == undefined) {
    		down = function() {
    			setTimeout(function() {
    				Base.removeDown();
    			}, 1000);
    		};
    	}
    	if(up == undefined) {
    		up = function() {
				setTimeout(function() {
					Base.removeUp();
    			}, 1000);
    		};
    	}
    	var top = $(".md-header").height() || 0;
    	var paddingBottom = $("footer").height() || 0;
    	var d1 = ('<div id="pullrefresh" class="mui-content mui-scroll-wrapper" style="top: '+top+'px; padding-bottom: '+paddingBottom+'px;">' +
    		     '<div class="mui-scroll"></div></div>');
    	$(".md-content").wrap(d1);
    	if(typeof mui == "undefined") {
    		Base.msgTip("未定义mui");
    		return false;
    	}
    	var pr = {
    		pullRefresh: {
    			container: '#pullrefresh',
    		}	
    	}
    	if(type == 1) {
    		pr.pullRefresh.down = {
    			callback: down	
    		}
    	} else if(type == 2) {
    		pr.pullRefresh.up = {
    			contentrefresh: '正在加载...',	
    			callback: up	
    		}
    	} else {
    		pr.pullRefresh.down = {
    			callback: down	
    		}
    		pr.pullRefresh.up = {
    			contentrefresh: '正在加载...',	
    			callback: up	
    		}
    	}
    	mui.init(pr);
    }
    Base.removeDown = function() {
    	mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
    }
    Base.removeUp = function() {
    	mui('#pullrefresh').pullRefresh().endPullupToRefresh();
    }*/
    Base.creatRefresh = function(type, down, up) {

        if(down == undefined) {
            down = function() {
                setTimeout(function() {
                    pullRefresh.headerDone();
                }, 1000);
            };
        }else{
            pullRefresh.setHeader({
                type:'normal'
            },function(ret, err) {
                if (ret.state === 'begin') {
                    down();
                }
            });
        }
        if(up == undefined) {
            up = function() {
                setTimeout(function() {
                    pullRefresh.footerDone();
                }, 1000);
            };
        }else{
            pullRefresh.setFooter({
                type:'normal'
            },function(ret, err) {
                if (ret.state === 'begin') {
                    up();
                }
            });
        }
    };
    Base.removeDown = function() {
        pullRefresh.headerDone();
    };
    Base.removeUp = function() {
        pullRefresh.footerDone();
        
    };
    //跳转页面
    Base.gotoView = function(href, params) {
    	// TODO 待修改
    	if(!href) {
    		return;
    	}
    	
		md.openWin({
            name: params.winname || "common_nav",
            url: params.winurl || "wgt://cdsim/nav/top_nav.html",
            animation:params.animation || { type:"push", subType:"from_right", duration:300},
            pageParam: {
                frameUrl: href,
                name: params.framename + "_frame" || href,
                bounces:params.bounces||false,
                title: params.title,
                hAuto: params.hAuto,
                framePageData: params.framePageData,
                reload: params.reload||true 
            },
            reload: params.winreload||true
        });
    }
    //获得参数
    Base.getParams = function() {
    	return md.pageParam;
    }
    // 拨打电话
    Base.call = function(number) {
    	md.call({
    		type: 'tel_prompt',
			number: number
   		});
    } 
    //社保登录
    Base.login = function() {
		var name = "userlogin";
        var href = "login/userlogin.html"; 
        var title = "社保账号登录"; 
        var animation = {
        	type:"movein",                //动画类型（详见窗口动画类型常量）
		    subType:"from_bottom",       //动画子类型（详见窗口动画子类型常量）
		    duration:300                //动画过渡时间，默认300毫秒
        }
        Base.gotoView(href, {title: title, name: name, hAuto: true, animation:animation});		
        
    }
    //敬请期待
    Base.creatWait = function() {
    	var wait = '<div class="wait-content md-box md-f1 md-ac md-pc">'+
    				'<div class="wait-info">'+
    				'<div class="md-box">'+
    				'<div class="min-width"></div>'+
    				'<div class="no-info md-img md-f1"></div>'+
    				'<div class="min-width wait-close md-img"></div>'+
    				'</div>'+
    				'<div class="wait-word">该功能正在开发中，敬请期待！！</div>'+
    				'</div></div>';
    	$("body").append(wait);
    	$(document).on("tap",".wait-close",function(){
    		$(".wait-content").remove();
    	})
    }

    /**
     * 没有数据显示显示
     */
    Base.noDataPage = function(selector, text) {
    	var $n = $(selector);
    	if(!$n[0]) {
    		$n = $(".md-content");
    	}
    	if(text == undefined){
    		text = "无相关数据";
    	}
    	var div = '' +
    	'<div class="md-box md-ac md-pc md-ver md-f1">'+
    	'<div class="md-box no-page-img md-img"></div>'+
    	'<div class="md-box no-text1">'+text+'</div>'+
    	'</div';
    	$n.html(div);
    	/*$n.tap(function() {
    		Base.refreshWin();
    	});*/
    };
    
    /**
     * 异步请求服务
     * @method 
     Server 
     * @param {String} urlType 根据类型取得服务器地址 必选
     * @param {String} data 请求参数对象  必选可为null， 
     * @param {String} callback 回调方法  可选
     * @param {Boolean} mask 是否显示蒙层 可选 默认false
     * @param {String} type 请求方式:post,get 可选  默认post
     */
    Base.requestServer = function (urlType, param, callback, mask, type, nopage) {
    	urlType = $.trim(urlType);
    	var url = ""; 
    	if(urlType.indexOf("http://") != -1) {
    		url = urlType;
    	} else {
    		url = Base.serverPath + Base.urlPath[urlType];
    	}
    	param = param || {};
    	type = type || "post";
    	var access_token = Base.getStorage("access_token");
        if(access_token == undefined) {
            access_token = "";
        }
        param["access_token"] = access_token;
    	if(mask) {
    		Base.showGifMask();
    	} 
        var ajax = $.ajax({
            type: type,
            contentType : "application/x-www-form-urlencoded; charset=utf-8", // post提交乱码
            url: url,
            data: param,
            success: function(data) {
                if(mask){
                    Base.removeGifMask();
                }else {
                    Base.removeDown();
                    Base.removeUp();
                }
                var winnamethod = md.winName;
                if(typeof data == "string") {
                    data = Base.strToJson(data);
                    console.log(data[code] == successCode);
                }
                if( data[code] == successCode ){
                        callback(data);
                }else if(winnamethod != "findjob-header"){
                     Base.msgTip(data[errorMsg]);
                     callback(data);
                    /* md.toast({
                         msg: '未查到相关数据',
                         duration: 2000,
                         location: 'middle'
                     }); */               }

                    console.log("--out--:"+ JSON.stringify(data)); 
            },
            error: function(xhr, type) {
                if(mask){
                    Base.removeGifMask();
                }else {
                    Base.removeDown();
                    Base.removeUp();
                }
                Base.msgTip("网络错误");
            }
        });
    	return ajax;
    }
    /***** 同步请求  ****/
    Base.requestServerf = function (urlType, param, callback, mask, type, nopage) {
        urlType = $.trim(urlType);
        var url = ""; 
        if(urlType.indexOf("http://") != -1) {
            url = urlType;
        } else {
            url = Base.serverPath + Base.urlPath[urlType];
        }
        param = param || {};
        type = type || "post";
        var access_token = Base.getStorage("access_token");
        if(access_token == undefined) {
        }
            access_token = "";

        param["access_token"] = access_token;
        if(mask) {
            Base.showGifMask();
        } 
        console.log("--in--:" + url +"----"+ JSON.stringify(param));
        var ajax = $.ajax({
            type: type,
            contentType : "application/x-www-form-urlencoded; charset=utf-8", // post提交乱码
            url: url,
            data: param,
            async: false,
            success: function(data) {
               // console.log("============哈哈ffffff=");
                console.log("--out--:" + data);
                Base.removeDown();
                Base.removeUp();
                Base.removeGifMask();
                if(typeof data == "string") {
                    data = Base.strToJson(data);
                }
                if( data[code] == successCode ){
                        callback(data);
                }else{
                     Base.msgTip(data[errorMsg]);
                     // callback(data);
                }
                
            },
            error: function(xhr, type) {
                Base.removeGifMask();
                Base.removeDown();
                Base.removeUp();
                Base.msgTip("网络错误");
            }
        });
        return ajax;
    }


     /***** 新闻 ****/
    Base.requestUrl = function (dataUrl,callback) {
        var ajax = $.ajax({
            type:  "get",
            contentType : "application/x-www-form-urlencoded; charset=utf-8", // post提交乱码
            url: dataUrl,
            dataType: "json",
           /* if(mask){
              Base.showGifMask();
            },*/
            success: function(data) {
                callback(data);
              //  return data;
            },
            error: function(xhr, type) {
                Base.msgTip("网络错误");
            }
        });
        return ajax;
        
    }

  //ready
	Base.onReady = function(func) {
		
		window.onViewCreate = function() {
            // 适应header 
            Base.fixStatusBar(document.getElementById("header"));
		};
		window.onViewOpen = function() {
			func();
		};
		
		
	}
    Base.locationreload = function(){
        var tag = $("[ISNULL]"),len = tag.length;
        for(var i = 0;i<len;i++){
            var tage = tag[i];
            if(tage.nodeName == 'SPAN'||tage.nodeName == 'DIV'){
                tage.innerHTML = "请选择";
            }else if(tage.nodeName == "SELECT"){
                tage.value = "00";
            }else if(tage.nodeName == "INPUT"){
                tage.value = "";
            }
        }
    }
 
    /**
     * 异步请求服务
     * @method 
     Server 
     * @param {String} urlType 根据类型取得服务器地址 必选
     * @param {String} data 请求参数对象  必选可为null， 
     * @param {String} callback 回调方法  可选
     * @param {Boolean} mask 是否显示蒙层 可选 默认false
     * @param {String} type 请求方式:post,get 可选  默认post
     */
    Base.requestServerSend = function (urlType, param, callback, mask, type, nopage) {
        urlType = $.trim(urlType);
        var url = ""; 
        if(urlType.indexOf("http://") != -1) {
            url = urlType;
        } else {
            url = Base.serverPath + Base.urlPath[urlType];
        }
        param = param || {};
        type = type || "post";
        var access_token = Base.getStorage("access_token");
        if(access_token == undefined) {
            access_token = "";
        }
        param["access_token"] = access_token;
        if(mask) {
            Base.showGifMask();
        } 
         console.log("--in--:" + url +"----"+ JSON.stringify(param));
        var ajax = $.ajax({
            type: type,
            contentType : "application/x-www-form-urlencoded; charset=utf-8", // post提交乱码
            url: url,
            data: param,
            success: function(data) {
                if(mask){
                    Base.removeGifMask();
                }else {
                    Base.removeDown();
                    Base.removeUp();
                }
                var winnamethod = md.winName;
                if(typeof data == "string") {
                    data = Base.strToJson(data);
                    console.log(data[code] == successCode);
                }
                if( data[code] == successCode ){
                        callback(data);
                }else if(winnamethod != "findjob-header"){
                       Base.msgTip(data[errorMsg]);
                       callback(data);
                    /* md.toast({
                         msg: '未查到相关数据',
                         duration: 2000,
                         location: 'middle'
                     }); */               }

                    console.log("--out--:"+ JSON.stringify(data)); 
            },
            error: function(xhr, type) {
                if(mask){
                    Base.removeGifMask();
                }else {
                    Base.removeDown();
                    Base.removeUp();
                }
                Base.msgTip("网络错误");
            }
        });
        return ajax;
    }
}(Zepto));