

/**
 *
 *
 *
 */

var commonUtil = {

	console : function(msg){
		console.log(msg);
	},
    /**
     * 判断obj是否Array
     * @param obj {Object} 
     * @return {Boolean}  true:是； false:不是
     */
    isArray : function(obj){
        return Object.prototype.toString.call(obj) === "[object Array]";
    },
    /**
     * 判断obj是否为空
     * @param obj {Object} 
     * @return {String}  为空返回""，不为空返回自身
     */
    removeNullAndUndefined : function(obj){
        return (commonUtil.isEmpty(obj)?"":obj);
    },

    /**
     * 使用位置：所有模块
     * 判断值为空
     * 
     * @method isEmpty
     * @param {string}
     *            value 待判断的值
     * @return {boolean}
     *            boolean 为空返回true;不为空返回false 
     */
    isEmpty : function(value){
        if (value==null||value==""||value==undefined) {
            return true;
        }
        return false;
        
    }

};