    var pageData = {};
    /**
     *页面加载完成后执行
     */
    Base.onReady(function(){
        pageData = md.pageParam.pageData;
        commonUtil.console("pageData="+JSON.stringify(pageData));
        var currentDate = new Date();
        var dateText = getDateParam(currentDate.getFullYear())+"-"+getDateParam((currentDate.getMonth()+1))+"-"+getDateParam(currentDate.getDate())+" "+getDateParam(currentDate.getHours() )+":"+getDateParam(currentDate.getMinutes());
       
        $("div[field='ycb754']").text(dateText);
        
    });
    function getDateParam(value){
        if (value<10) {
            value="0"+value;
        }
        return value;
    }
    /**
     *选择指导时间
     */
    Base.click("div[field='ycb754']",function($this){
        commonUtil.console("时间选择器");
        md.openPicker({
            type: 'date_time',
            title: '选择时间'
        },function( ret, err ){
            if( ret ){
                 commonUtil.console( JSON.stringify( ret ) );
                 var dateText = ret["year"]+"-"+ret["month"]+"-"+ret["day"]+" "+ret["hour"]+":"+ret["minute"];
                 $this.text(dateText);
            }else{
            }
        });
    })

    //选择资料图片
    
    /**
     *提交
     */
    Base.click("#submit",function($this){
        if ($this.attr("disabled")) {
            commonUtil.console("disabled");
            return;
        }
        commonUtil.console("submit");
        var fieldArr = $("[field]");
        var fieldArri;
        var field;
        for (var i = 0; i < fieldArr.length; i++) {
            fieldArri=$(fieldArr[i]);
            field = fieldArri.attr("field");
            value = fieldArri.val()||fieldArri.text();
            if(value==""){
                Base.msgTip("申请信息输入不全，请检查!");
                return;
            }
            pageData[field]=value;
            commonUtil.console(value);

        }
        commonUtil.console("pageData="+JSON.stringify(pageData));

        Base.setStorage("aac003","付雄跃");//登陆模块未完成，测试使用
        Base.setStorage("aae017","付雄跃经办机构");//登陆模块未完成，测试使用

        var params={};
        params["jybh"]="jy007";
        var aae011 = Base.getStorage("aac003");
        params["aae011"] = aae011;
        var aae017 = Base.getStorage("aae017");
        params["aae017"] = aae017;
        /*数据来源--app*/
        params["yae100"] = '10';

        $.extend(params, pageData);
        commonUtil.console("params="+JSON.stringify(params));

        Base.requestServer("queryData", params, function(data){
            commonUtil.console("data="+JSON.stringify(data));
            if (data.appcode=="1") {
                Base.msgTip("申请成功!");
                $this.attr("disabled","disabled");
                setTimeout(closeWinToRoot,2000);
            }
            
            
        }, true);
    })

    function closeWinToRoot(){
        md.closeToWin({
            name: 'own_business',
            animation: {
                type: 'push',
                subType:"from_left",
                duration: 300
            }
        });
    }