var data_const = {
    /**
     *码值常量()
     */
    code_const : {
        /*贷款人员类别*/
        "YCC604": {1:"城镇登记失业人员",2:"就业困难人员（含残疾人）",3:"复员转业退役军人",4:"刑满释放人员",5:"高校毕业生(含大学生村官和留学回国学生)",6:"化解过剩产能企业职工和失业人员",7:"返乡创业农民工",8:"网络商户",9:"建档立卡贫困人口"},

        /*贷款担保方式*/
        "YCC60E": {1:"个人信用担保",2:"不动产抵押"},

        /*认定层级*/
        "YCB7E5": {1:"国家级",2:"省级",3:"市(州)级",4:"县级"},

        /*产业类别*/
        "AAB054": {1:"第一产业",2:"第二产业",3:"第三产业"},

        /*是否已注册*/
        "YCB7C2": {0:"已登记注册",1:"未登记注册"},

        /*学校类别*/
        "AHB003" : {'001':'职业院校','002':'技工院校','003':'就业训练中心','004':'民办培训机构'},

        /*学校性质*/
        "AHB006" : {'001':'公办','002':'民办'},

        /*是否定点培训机构*/
        "YHB40D" : {'0':'否','1':'是'},

        /*性别*/
        "AAC004" : {'1':'男','2':'女'},
        // 年龄要求
        "ACB249" : {'1':'16-25岁','2':'26-30岁','3':'31-35岁','4':'36-40岁','5':'41-50岁','6':'51-60岁'},

        /*教师职称*/
        "YHB513" : {'01':'助教','02':'讲师','03':'高级讲师','04':'正高','05':'副高'},

        /*教师类型*/
        "YHB511" : {'01':'教师','02':'专家','03':'管理员'},
        
        /*任职类型*/
        "YHB521" : {'1':'在编教师','2':'外聘教师'},
        
        /*教师类别*/
        "YHB512" : {'01':'实习指导教师','02':'指导教师','03':'专家类别A','04':'专家类别B'},

        /*政治面貌*/
        "AAC024" : {'1':'中共党员','10':'九三学社社员','11':'台盟盟员','12':'无党派民主人士','13':'群众','2':'中共预备党员','3':'共青团员','4':'民革会员','5':'民盟盟员','6':'民建会员','7':'民进会员','8':'农工党党员','9':'致公党党员'},

        /*户口性质*/
        "AAC009" : {'10':'城镇户口','20':'农村户口'},

        /*学历*/
        "AAC011" : {'11':'博士研究生','14':'硕士研究生','21':'大学本科','31':'大学专科','41':'中等专科','44':'职业高中','47':'技工学校','61':'普通高中','71':'初中','81':'小学','90':'其他'},

        /*就业渠道*/
        "YCC03R" : {'01':'自主就业','02':'自主创业','03':'人社部门组织','04':'劳务中介机构组织'},

        /*灵活就业形式*/
        "YCC66H" : {'1':'临时就业','2':'季节创业','3':'非全日制就业','4':'劳务工','5':'钟点工','6':'其他',},
        
        /*反馈状态*/
        "ACC312" : {'0':'未反馈','1':'招聘成功','2':'招聘失败','3':'残忍拒绝','4':'简历投递','5':'过期未反馈'},
        
        /*从业年数*/
        "ACC217" : {'1':'0-1年','2':'1-3年','3':'3-5年','4':'5-10年','5':'10年以上'},

        /*计算机水平*/
        "AAC043" : {'01':'一级计算机资格证','02':'二级计算机资格证','03':'三级计算机资格证','04':'四级计算机资格证','1':'精通','2':'熟练','3':'良好','4':'一般','5':'其他',},
    
        /*是否公开简历*/
        "YCC20M" : {'0':'否','1':'是'},

        /*工作方式*/
        "YCB213": {'1':'全职','2':'兼职','3':'实习','4':'临时','5':'小时工','6':'均可'},

        /*就失业状态*/
        "AAC016" : {'01':'就业','05':'失业','06':'无业','07':'未登记失业状态','08':'未登记就业状态','09':'无就业状态(含非适龄劳动者)'},

        /*人员规模*/
        "AAB056" : {'1':'3000人以上','2':'1000-2999人','3':'500-999人','4':'100-499人','5':'10-99人','6':'10人以下','7':'3人以下','9':'其他'},

        /*期望薪资*/
        "ACC034" : {'1':'1000元以下','2':'1000-2000元','3':'2000-3000元','4':'3000-5000元','5':'5000-8000元','6':'8000-12000元','7':'12000-20000元','8':'20000-25000元','9':'25000元以上'},

        /*单位类型*/
        "AAB019" : {'10':'企业','30':'机关','50':'事业单位','70':'社会团体','80':'个体工商户','91':'民办非企业','93':'基金会','99':'其他',},
        /*单位或个人*/
        "YCB701" : {'1':'个人','2':'单位'},

        /*从事工种*/
        "YCC03S" : {'01':'护工','02':'家政','03':'其他'},

        /*失业人员类型*/
        "YCC027" : {'11':'城镇就业转失业人员','12':'城镇新成长劳动力人员','13':'其它失业人员','31':'非本省户籍人员','32':'农村进城务工人员','33':'城镇残疾人员','34':'城镇复退军人',},

        /*失业原因*/
        "YCC028" : {'10':'年满16周岁，从各类学校毕业、肄业','20':'从企业、机关、事业单位等各类用人单位失业','31':'退出个体经营','32':'私营企业业主停业、破产停止经营','33':'退出灵活就业','40':'退出公益性岗位','50':'承包土地被征用，符合当地规定条件','60':'军人退出现役且未纳入国家统一安置','70':'刑满释放、假释、监外执行','90':'其他'},

        /*补贴种类*/
        "YDY711" : {'9':'自主创业','10':'创业场地租赁补贴','4':'灵活就业社会保险补贴','8':'高校毕业生求职创业补贴'},

        /*贷款审核状态*/
        "YCC60Q" : {'1':'待审核','2':'审核通过','3':'审核不通过','4':'银行不通过','5':'银行已发放','6':'已还清','7':'已呆坏账'},
        //需求指导
        "ADC303":{'010':'职业指导','020':'就业信息','030':'创业服务','040':'重点帮扶','050':'就业见习','060':'职业培训','070':'人事劳动保障代理服务','990':'其他'},
        // 困难情况
        "ADC330":{'00':'不属于困难情况','11':'零就业家庭','12':'低保家庭','20':'个人残疾','30':'家庭及个人均存在困难情况','40':'农村贫困户','50':'优抚对象','90':'其它困难状况'},

        /*审核状态*/
        "YAE421" : {"0":"待审核","1":"审核通过","2":"审核不通过"},

        /*项目拟开发方式*/
        "YCB7C8" : {'01':'投资合作','02':'连锁加盟','03':'技术转让','04':'代理销售','05':'授权经营','06':'其他',},

        /*服务意向*/
        "YCB725" : {'01':'开业登记','02':'开业策划','03':'项目论证','04':'市场分析','05':'营销策划','06':'技术创新','07':'经营管理','08':'投资分析','09':'国际贸易','10':'信贷融资','11':'贷款担保','12':'企业诊断','13':'政策规定','14':'法律法规','15':'质量管理','16':'跟踪服务','17':'资产评估','18':'社会调查','19':'其他'},

        /*婚姻状况*/
        "AAC017" : {'1':'未婚','2':'已婚','3':'丧偶','4':'离婚','9':'其它'},

        /*数据来源*/
       "YAE100" : {'00':'基础数据库系统','01':'社保卡系统','02':'社保系统','03':'贵州省就业系统','04':'贵州省公共服务网','05':'劳动监察系统','06':'职业培训系统','07':'人事人才系统','08':'大中专毕业生实名制系统','09':'劳动用工备案系统','10':'贵州省公共服务APP','11':'贵州人才信息网','12':'贵州省就业网上服务大厅','13':'贵州省数据采集','14':'毕节就业系统','15':'广东人力招聘','16':'南方人力招聘','17':'黔西南人力招聘'},
       
        /*学历*/
        "AAC011T" : {"list": [ {"aac100":"11","aac101":"博士研究生"},{"aac100":"14","aac101":"研究生硕士"},{"aac100":"21","aac101":"大学本科"},{"aac100":"31","aac101":"大学专科"},{"aac100":"41","aac101":"中等专科"},{"aac100":"44","aac101":"职业高中"},{"aac100":"47","aac101":"技工学校"},{"aac100":"61","aac101":"普通高中"},{"aac100":"71","aac101":"初中"},{"aac100":"81","aac101":"小学"},{"aac100":"90","aac101":"其他"}]},

        /*高校就业困难类别*/
        "ADC331" : {'01':'零就业家庭或享受低保家庭','02':'在校期间获取助学贷款','03':'父母双方（单方）或者本人持有残疾证','04':'在校期间属社会扶助对象','05':'建档立卡贫困家庭','06':'特困家庭','07':'外省籍享受城乡居民低保','08':'外省籍在校期间获得助学贷款'},

    },
    
    method : {
        hasoption : function(data,box){
            var str = '<option value="00">请选择</option>';
            for(var key in data) {
                str +="<option value='"+key+"'>"+data[key]+"</option>";
            }
            $(box).html(str);
        }
        }
}
